Gtk_CTreeNode(3)

NAME - Gtk_CTreeNode

HEADER REQUIRED
#include <gtk--/ctree.h&gt;>

PUBLIC MEMBER INDEX
    Gtk_CTreeNode(GtkCTreeNode *node=0);
    explicit  Gtk_CTreeNode( GList * glist );
    typedef G_List_Iterator   iterator;
    typedef G_List_ConstIterator   const_iterator;
    const GtkCTreeNode*  gtkobj() const;
    GtkCTreeNode*  gtkobj();
    iterator  children_begin();
    const_iterator  children_begin() const;
    iterator  children_end();
    const_iterator  children_end() const;
    bool  expanded() const;
    Gtk_CTreeNode  get_parent();
    const Gtk_CTreeNode  get_parent() const;
    bool  is_leaf() const;
    const Gtk_CTreeNode  node_nth_child( guint row ) const;
    Gtk_CTreeNode  node_nth_child( guint row );

PROTECTED MEMBER INDEX
    GtkCTreeNode * node_;

PRIVATE MEMBER INDEX
    Gtk_CTreeNode  node_nth_child_real( guint row ) const;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS